class iaas::profile::database (
   $percona_master = false,
   $root_password = undef,
   $mysql_cluster_servers = undef,
   $mysql_port = undef,
   $mysql_users = undef,
   $mysql_databases = undef,
   $mysql_grants = undef,
) {
   $mysql_user_defaults = {
   	ensure => 'present',
   }
   $mysql_database_defaults = {
     ensure => 'present',
   }
   $mysql_grant_defaults = {
   	ensure 		=> 'present',
   	options 	=> ['GRANT'],
   	privileges => ['ALL'],
   }
   package{'xinetd':
	ensure	=> installed,
   } ->
   service { 'xinetd':
    ensure      => 'running'
   } ->
   class{ 'percona':
#	root_password => $root_password,
	mysql_cluster_servers => $mysql_cluster_servers,
	mysql_port => $mysql_port,
	master => $percona_master,
   }
   create_resources(mysql_database, $mysql_databases, $mysql_database_defaults)
   create_resources(mysql_user, $mysql_users, $mysql_user_defaults) 
   create_resources(mysql_grant, $mysql_grants, $mysql_grant_defaults) 
}
